# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-06-07 15:43
from __future__ import unicode_literals

from django.db import migrations


def set_routing_policy(apps, schema_editor):
    Policy = apps.get_model('zinc', 'Policy')
    for policy in Policy.objects.all():
        regions = set([member.region for member in policy.members.all()])
        if len(regions) > 1:
            policy.routing = 'latency'
        else:
            policy.routing = 'weighted'
        policy.save()


class Migration(migrations.Migration):

    dependencies = [
        ('zinc', '0007_policy_routing'),
    ]

    operations = [
        migrations.RunPython(set_routing_policy)
    ]
